# Project Ely

This is some game project that we are working on for fun.

This project is written in Go using raylib.

## Compiling

See the [Setup Docs][1] for installing all the necessary dependencies. It's fairly bare-bones, only requiring raylib (which bundles everything, only depending on base graphics libs like X11).

Then you can use the Makefile:
```sh
make release
```

Or you can build the project easily with Go directly:
```sh
go build
```

A release build can be build with these extra flags:
```sh
go build -x -v -ldflags "-s -w"
```

## Docs

For initial environment setup, see the [Setup Docs][1].

## Licenses

Unless otherwise specified, the code for this project is licensed under the [2-Clause BSD license][5], a permissive open-source license. The short version is that you may use this code for any purpose so long as you give us credit for creating it. See [LICENSE.md][2] for more details.

Unless otherwise specified, the artwork assets and documentation (the non-code related things) for this project are licensed under the [Creative Commons Attribution 4.0 International Public License][4]. The short version is that you may use them for any purpose so long as you give us credit for creating them. See [assets/LICENSE.md][3] for more details and [assets/legalcode.txt][6] for the full license text.

Basically, so long as you give us credit for creating this game, you may use any parts of it for any purpose.


[1]: docs/setup
[2]: LICENSE.md
[3]: assets/LICENSE.md
[4]: https://creativecommons.org/licenses/by/4.0/
[5]: https://choosealicense.com/licenses/bsd-2-clause/
[6]: assets/legalcode.txt
