package animation

// AnimationMap maps each animation ID to the actual animation
var AnimationMap map[int]entityAnimation

// Enum containing IDs of all animations that exist to make them easy to reference.
const (
	PenguinWalkRight int = iota
	PenguinWalkLeft
	PenguinWalkUp
	PenguinWalkDown
	PenguinStationaryRight
	PenguinStationaryLeft
	PenguinStationaryUp
	PenguinStationaryDown
)

func DefineAnimations() {
	AnimationMap = make(map[int]entityAnimation)
	DefinePenguinAnimations()
}
